Get stablecoin tokens supported for account.
curl --request GET \
--url https://external.dev.onboardpay.co/ledger/assets/{assetCode}/network-tokens \
--header 'x-api-key: <api-key>'import requests
url = "https://external.dev.onboardpay.co/ledger/assets/{assetCode}/network-tokens"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://external.dev.onboardpay.co/ledger/assets/{assetCode}/network-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset": "USD",
"tokens": [
{
"symbol": "USDC",
"name": "USD Coin",
"logoUrl": "https://etherscan.io/token/images/centre-usdc_28.png",
"supportedNetworks": [
{
"code": "ETH_USDC",
"decimals": 6,
"contractAddress": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"minimumDeposit": 5.25,
"networkInfo": {
"id": "ETH",
"name": "Ethereum",
"blockTime": 15,
"confirmations": 8,
"coinName": "Ether",
"coinSymbol": "ETH",
"supportsMemo": "false",
"alias": "BEP20",
"addressExplorerUrl": "https://etherscan.io/address",
"txExplorerUrl": "https://etherscan.io/tx"
},
"depositAvailable": true,
"withdrawalAvailable": true,
"withdrawalFee": "100.01",
"platformFeePercentage": 0.001
}
]
}
]
}{
"code": "BAD_REQUEST",
"message": "Request could not be validated."
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "ACCESS_DENIED",
"message": "Expected permission or scope is not present."
}{
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred."
}Info
Get Network Tokens
Get list of stablecoin tokens supported for account by asset code. The asset code is the currency code of the main account e.g USD
GET
/
ledger
/
assets
/
{assetCode}
/
network-tokens
Get stablecoin tokens supported for account.
Returns the stablecoin tokens and networks supported for a given asset code.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
The assets code of a crypto
⌘I